# This file works with the SKA version of the Dask Helm chart.
# Add the helm repository:
#   helm repo add ska-helm https://gitlab.com/ska-telescope/sdp/ska-sdp-helmdeploy-charts/-/raw/master/chart-repo
#   helm repo update
# Install the chart using this custom values file
#   helm install test ska-helm/dask -f values.yaml
---
nameOverride: rascil-dask
fullnameOverride: rascil-dask

# image used by the scheduler and workers
image: "artefact.skao.int/rascil-full:0.7.1"
imagePullPolicy: IfNotPresent

buffers: []
secrets: []

scheduler:
  env:
    - name: "DASK_DISTRIBUTED__DASHBOARD__GRAPH_MAX_ITEMS"
      value: "1000000"

worker:
  replicas: 2
  volume:
    path: "/mnt/data"
    name: "pvc-rascil-cip"

jupyter:
  enabled: true  # Enable/disable the bundled Jupyter notebook.
  image:
    repository: "artefact.skao.int/rascil-notebook"
    tag: 0.7.1
    pullPolicy: IfNotPresent
  mounts:
    volumes:
      - name: "pvc-rascil-cip"
        persistentVolumeClaim:
         claimName: "pvc-rascil-cip"
    volumeMounts:
      - name: "pvc-rascil-cip"
        mountPath: "/mnt/data"